{% extends 'pages/admin/profile.html.twig' %}

{% block profile %}
    <!-- s-content
        ================================================== -->
    <section class="s-content s-content--narrow s-content--no-padding-bottom">

        <div class="row format-standard">

            <div class="s-content__header col-full">
                <h1 class="s-content__header-title">Mes annonces</h1>

            </div> <!-- end s-content__header -->

        </div>

        <div class="list-group">
            {% for advert in adverts %}
            <div {#href="{{url('advert', {slug: advert.slug}) }}"#} class="list-group-item list-group-item-action" aria-current="true">
                {% if advert.deletedAt is null %}
                    <a href="{{ url('advert_remove', {id: advert.id}) }}" class="delete btn btn-danger btn-xs"><i class="fa fa-times"></i></a>
                {% else %}
                    <a href="{{ url('advert_comeback', {id: advert.id}) }}" class="delete btn btn-success btn-xs"><i class="fa fa-recycle"></i></a>
                {% endif %}

                <div class="col-3">
                    <img src="{{ photoOrDefault(advert) }}" alt="" class="img-responsive">
                </div>
                <div class="col-9 {{ advert.deletedAt ? 'bg-danger': '' }}">
                    <div class="w-100">
                        <h5 class="mb-1">{{ advert.title }}</h5>
                        <p><small>{{ advert.creationDate | date('d-m-Y') }}</small></p>
                    </div>
                    <p class="mb-1">{{ advert.description }}</p>
                    <small>{{ advert.comments.count }} commentaires</small>
                </div>
            </div>
            {% else %}
                <p>Pas encore d'annonce</p>
                <div id="header-action" class="col-2">
                    <a class="btn btn-primary" href="{{ url('advert_create') }}">BUY YOUR BIKE !</a>
                </div>
            {% endfor %}

        </div>
    </section>






{% endblock %}
